documentation index ◦ reference manual ◦ function index

# renpy.pop_return

Function: | renpy.pop_return | ():

This pops a level off of the return stack, restoring the values of dynamic variables as it does, but not returning anywhere. This can be used to construct a multi-level return.

    label sub_1:
        "This is shown second."
        call sub_2
        "This is never shown."
        return

    label sub_2:
        "This is shown third."
        $ renpy.pop_return()
        return

    label start:
        "This is shown first."
        call sub_1
        "This is shown fourth."

documentation index ◦ reference manual ◦ function index